Configuration (CMDB Model API)
Keywords: com.collation.platform.model.Configuration interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model
Interface Configuration

All Superinterfaces:
  ModelObject, java.io.Serializable

All Known Subinterfaces:
  AgentConfiguration, AgentConfiguration, ApplicationPropagatorConfiguration, AppServerClusterPropagatorConfiguration, AppServerPropagatorConfiguration, ArtsAgentConfiguration, BusinessServicePropagatorConfiguration, CiscoTelnetAgentConfiguration, CiscoWorksAgentConfiguration, CommandForwarderConfiguration, ComputerSystemPropagatorConfiguration, DominoServerAgentConfiguration, FileGrabberAgentConfiguration, ForwarderConfiguration, GenericAgentConfiguration, IpInterfacePropagatorConfiguration, IpNetworkPropagatorConfiguration, MonitorConfiguration, OracleAgentConfiguration, PluginConfiguration, PluginDefinition, PluginOsMapping, PortScanAgentConfiguration, PropagatorConfiguration, SnmpAgentConfiguration, SnmpTrapAgentConfiguration, SnmpTrapForwarderConfiguration, StackScanAgentConfiguration, StorageAgentConfiguration, TopLevelPropagatorConfiguration, UniversalDataAgentConfiguration, VeritasClusterAgentConfiguration, WebSphereAgentConfiguration

    public interface Configuration

extends ModelObject

A configuration object

Naming Rules:
  0="familyName,name"
Persistable:
  true
Table Name:
  CONFIG
Display Name:
  name

Field Summary
`static int` | `OPER_ACCEPTED` Operational status: this configuration has been accepted by the Configurable object.
`static int` | `OPER_NEW` Operational status: this configuration is new and hasn't been touched by the Configurable object yet.
`static int` | `OPER_REJECTED` Operational status: this configuration has been rejected by the Configurable object.

Method Summary
`boolean` | `getEnabled()` Is this configuration enabled ? Allows you to create a Configuration without using it immediately.
`java.lang.String` | `getFamilyName()`
`java.lang.String` | `getMssGuid()`
`java.lang.String` | `getName()`
`int` | `getOperationalStatus()` Has the Configurable object accepted this configuration or not ? Indicates the operational status of the configuration with regards to the acceptance process of the configurable object.
`java.lang.String` | `getRejectionReason()` If the Configurable object has rejected this configuration then this attribute contains a description of the rejection reason.
`boolean` | `hasEnabled()`
`boolean` | `hasFamilyName()`
`boolean` | `hasMssGuid()`
`boolean` | `hasName()`
`boolean` | `hasOperationalStatus()`
`boolean` | `hasRejectionReason()`
`void` | `setEnabled(boolean enabled)`
`void` | `setFamilyName(java.lang.String name)`
`void` | `setMssGuid(java.lang.String mssGuid)`
`void` | `setName(java.lang.String name)`
`void` | `setOperationalStatus(int status)`
`void` | `setRejectionReason(java.lang.String reason)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### OPER_NEW

    static final int OPER_NEW

  Operational status: this configuration is new and hasn't been touched by the Configurable object yet.

  See Also:
    Constant Field Values

### OPER_ACCEPTED

    static final int OPER_ACCEPTED

  Operational status: this configuration has been accepted by the Configurable object.

  See Also:
    Constant Field Values

### OPER_REJECTED

    static final int OPER_REJECTED

  Operational status: this configuration has been rejected by the Configurable object. Consult the RejectionReason attribute for a detailed description of the rejection reason.

  See Also:
    Constant Field Values

Method Detail

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Returns:
    The name of the configuration object
  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getFamilyName

    java.lang.String getFamilyName()
                                   throws AttributeNotSetException

  Returns:
    The configuration family the config object belongs to
  Throws:
    `AttributeNotSetException`

### setFamilyName

    void setFamilyName(java.lang.String name)

### hasFamilyName

    boolean hasFamilyName()

### getEnabled

    boolean getEnabled()
                       throws AttributeNotSetException

  Is this configuration enabled ? Allows you to create a Configuration without using it immediately. If this configuration is not enabled then a Configurable object will not be created for it.

  Returns:
    A setting that marks the Configuration and associated Configurable disabled/enabled
  Throws:
    `AttributeNotSetException`

### setEnabled

    void setEnabled(boolean enabled)

### hasEnabled

    boolean hasEnabled()

### getOperationalStatus

    int getOperationalStatus()
                             throws AttributeNotSetException

  Has the Configurable object accepted this configuration or not ? Indicates the operational status of the configuration with regards to the acceptance process of the configurable object. This attribute provides feedback from the configurable entity to the configurator since this configuration does not necessarily have to be processed in real time by the Configurable object.

  Returns:
    One of OPER_NEW, OPER_ACCEPTED, OPER_REJECTED
  Throws:
    `AttributeNotSetException`

### setOperationalStatus

    void setOperationalStatus(int status)

### hasOperationalStatus

    boolean hasOperationalStatus()

### getRejectionReason

    java.lang.String getRejectionReason()
                                        throws AttributeNotSetException

  If the Configurable object has rejected this configuration then this attribute contains a description of the rejection reason. This attribute will only be valid if the OperationalStatus attribute equals OPER_REJECTED.

  Returns:
    Rejection reason
  Throws:
    `AttributeNotSetException`

### setRejectionReason

    void setRejectionReason(java.lang.String reason)

### hasRejectionReason

    boolean hasRejectionReason()

### getMssGuid

    java.lang.String getMssGuid()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMssGuid

    void setMssGuid(java.lang.String mssGuid)

### hasMssGuid

    boolean hasMssGuid()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD